<%#-- copyright
Nepenthes is a free and open project management software.
Copyright (C) 2024 The Nirvati developers

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

Nepenthes is a fork of OpenProject. The copyright follows:

Copyright (C) 2012-2024 the OpenProject GmbH

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

OpenProject is a fork of ChiliProject, which is a fork of Redmine. The copyright follows:
Copyright (C) 2006-2013 Jean-Philippe Lang
Copyright (C) 2010-2013 the ChiliProject Team

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

See COPYRIGHT and LICENSE files for more details.

++#%>

<%= toolbar title: t(:label_version_plural) do %>
  <% if current_user.allowed_in_project?(:manage_versions, @project) %>
    <li class="toolbar-item">
      <%= link_to_if_authorized({ controller: '/versions', action: 'new', project_id: @project },
                                { class: 'button -primary',
                                  aria: {label: t(:label_version_new)},
                                  title: t(:label_version_new)}) do %>
        <%= op_icon('button--icon icon-add') %>
        <span class="button--text"><%= t('activerecord.models.version') %></span>
      <% end %>
    </li>
  <% end %>
<% end %>

<% if @versions.any? %>
  <%= render Versions::TableComponent.new(rows: @versions, project: @project) %>

  <% if @project.versions.any? %>
    <div class="generic-table--action-buttons">
      <%= link_to t(:label_close_versions),
                  close_completed_project_versions_path(@project),
                  method: :put,
                  class: 'button' %>
    </div>
  <% end %>
<% else %>
  <%= no_results_box action_url: new_project_version_path(@project),
                     display_action: authorize_for('versions', 'new'),
                     custom_title: t('projects.settings.versions.no_results_title_text'),
                     custom_action_text: t('projects.settings.versions.no_results_content_text')
  %>
<% end %>
